Bug 443730 - Mimedefang doesn't check for viruses upon installation
Mimedefang doesn't check for viruses upon installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mimedefang (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 22:25 EDT by Penelope Fudd
Modified: 2009-01-09 01:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:24:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Penelope Fudd 2008-04-22 22:25:41 EDT
Description of problem:
Mimedefang doesn't autodetect virus scanner

Version-Release number of selected component (if applicable):
mimedefang-2.64-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install clamav (yum install clamav)
2. Install mimedefang (yum install mimedefang)
3. Try to get mimedefang to check for viruses
  
Actual results:
No virus checking

Expected results:
Virus checking

Additional info:
In /usr/bin/mimedefang.pl at line 124 onwards, all of the auto-detecting code
for the virus scanners is disabled:
$Features{'Virus:AVP'}      = ('/bin/false' ne '/bin/false' ? '/bin/false' : 0);
$Features{'Virus:AVP5'}      = ('/bin/false' ne '/bin/false' ? '/bin/false' : 0);
$Features{'Virus:KAVSCANNER'} = ('/bin/false' ne '/bin/false' ? '/bin/false' : 0);
...etc..

This is a compile-time issue, as the mimedefang configure process fills in the
scanners it finds:

$Features{'Virus:CLAMAV'}   = ('/usr/bin/clamscan' ne '/bin/false' ?
'/usr/bin/clamscan' : 0);
$Features{'Virus:CLAMD'}    = ('/usr/sbin/clamd' ne '/bin/false' ?
'/usr/sbin/clamd' : 0);

Seems redundant to me to check for virus scanners at compile time AND run time.

I suspect this is an easy fix!  :-)
Comment 1 Penelope Fudd 2008-04-23 00:53:17 EDT
Whoops, I didn't think that one through.

The code I copied+pasted doesn't actually check anything, it could have been
replaced with a constant.  There is code later that checks to make sure the
selected antivirus program is running, but the code I pasted above will enable
or disable those checks.

It should really be something like:
$Features{'Virus:CLAMD'}    = (-e '/usr/sbin/clamd' ? '/usr/sbin/clamd' : 0);
Comment 2 Robert Scheck 2008-04-23 16:30:43 EDT
Penelope, thanks for your report. Unfortunately, I only can set the paths for a 
few less virus scanners delivered with Fedora, because the path can vary for the
commercial ones heavily.

I'm not using a virus scanner within MIMEDefang, but AFAIK you can simply set 

  $Features{'Virus:CLAMAV'} = "/usr/bin/clamscan";
  $Features{'Virus:CLAMD'}  = "/usr/sbin/clamd";

in your mimedefang-filter (the configuration file).
Comment 3 Bug Zapper 2008-05-14 11:27:49 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Robert Scheck 2008-05-14 11:34:50 EDT
Penelope, ping?
Comment 5 Robert Scheck 2008-07-27 10:46:23 EDT
Penelope, can you please have a look to comment #2 whether it solves your issue
or not?
Comment 6 Penelope Fudd 2008-07-28 12:59:22 EDT
Hi.. sorry for the long delay.

I changed the lines to say 

$Features{'Virus:CLAMAV'}   = ('/usr/bin/clamscan' ne '/bin/false' ?
'/usr/bin/clamscan' : 0);
$Features{'Virus:CLAMD'}    = ('/usr/sbin/clamd' ne '/bin/false' ?
'/usr/sbin/clamd' : 0);

and it worked.
Comment 7 Penelope Fudd 2008-07-28 13:01:49 EDT
It's a production machine, so I'm unable to test putting those lines into
/etc/mail/mimedefang-filter in case it doesn't work.

Thanks
Comment 8 Bug Zapper 2008-11-26 05:32:53 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 01:24:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.